using System;

public interface InterfaceMaidPhotoWindow
{
	void SetWindowManager(BasePhotoWindowManager mgr);

	void OnMaidChangeEvent(Maid maid);

	void OnMaidAddEvent(Maid maid, bool is_deserialize_load);

	void OnFinishMaidDeserializeLoad();

	void OnMaidRemoveEvent(Maid maid);

	void OnMaidRemoveEventPrev(Maid maid);

	void OnReset();

	void OnSerializeEvent();

	void OnDeserializeEvent();

	PhotoWindowManager.WindowType window_type { get; }

	PhotoWindowManager mgr { get; }
}
